﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Метод prompt()</title>
</head>
<body>
    <!--

        Метод prompt(1, 2) - принимает два аргумента: 
            1 - выводится в качестве простой строки в модальном окне.
            2 - значение по умолчанию в текстовом поле для ввода.

        Метод prompt(1, 2) - выводит сообщение в окне с текстовым полем и двумя кнопками: "ОК" и "ОТМЕНА".

        Метод prompt(1, 2) - возвращает введенное значение или null, если пользователь нажал на кнопку "ОТМЕНА".

        Как и в alert, prompt - модальное окно 
        (пользователь не может продолжить работу, пока не нажмет на одну из кнопок).

-->
<script>

        var a = prompt("Введите какое либо значение", '10');
        //Обработка кода...
        document.write(a);

    </script>
</body>
</html>